Page MenuHomePhabricator

[wmf-20] testwiki - ext-growthExperiments-ScoreCards__scorecard__info for one day streak shows $3
Closed, ResolvedPublicBUG REPORT

Description

  1. Login to testwiki wmf.20 as a new user (with no edits) or a user whose longest editing streak was only during one day. If you're a new user, make an edit.

Examples of a test user in testwiki - https://test.wikipedia.org/wiki/Special:Impact/Testzilant19oct01

  1. Go to Special:Homepage - the NewImpact module info button shows $3 instead of "1 day":

Screen Shot 2023-01-24 at 2.38.38 PM.png (1×1 px, 125 KB)

Note:

  • https://test.wikipedia.org/wiki/Special:Impact/Testzilant19oct01 displays the date correctly. Only the NewImpact on Special:Homepage displays $3.
  • checked with users whose 1-day streak was long time ago - the issue is present
  • checked few cases for different length of editing streaks - the dates are displayed correctly

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Etonkovidova renamed this task from {wmf-20] testwiki - ext-growthExperiments-ScoreCards__scorecard__info for one day streak shows $3 to [wmf-20] testwiki - ext-growthExperiments-ScoreCards__scorecard__info for one day streak shows $3 .Wed, Jan 25, 2:04 AM
kostajh triaged this task as High priority.Wed, Jan 25, 5:55 AM
kostajh changed the subtype of this task from "Task" to "Bug Report".

Change 883545 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] User impact: ammend incorrect parameter for the single day streak text

https://gerrit.wikimedia.org/r/883545

Change 883547 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@wmf/1.40.0-wmf.20] User impact: ammend incorrect parameter for the single day streak text

https://gerrit.wikimedia.org/r/883547

Change 883548 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@wmf/1.40.0-wmf.19] User impact: ammend incorrect parameter for the single day streak text

https://gerrit.wikimedia.org/r/883548

Change 883548 abandoned by Sergio Gimeno:

[mediawiki/extensions/GrowthExperiments@wmf/1.40.0-wmf.19] User impact: ammend incorrect parameter for the single day streak text

Reason:

The issue is not present on wmf.19

https://gerrit.wikimedia.org/r/883548

I the issue was introduced in rEGREdf38f61980faa42ccb0f987684de723b58f03b21 when changing the logic of the arguments supplied to mw.message('key', ..args).

Change 883545 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] User impact: amend incorrect parameter for the single day streak text

https://gerrit.wikimedia.org/r/883545

Change 883547 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@wmf/1.40.0-wmf.20] User impact: amend incorrect parameter for the single day streak text

https://gerrit.wikimedia.org/r/883547

Mentioned in SAL (#wikimedia-operations) [2023-01-25T14:21:10Z] <urbanecm@deploy1002> Started scap: Backport for [[gerrit:883224|REST: Use error log level for unexpected errors (T327490)]], [[gerrit:883547|User impact: amend incorrect parameter for the single day streak text (T327824)]]

Mentioned in SAL (#wikimedia-operations) [2023-01-25T14:39:58Z] <urbanecm@deploy1002> jakob and sgimeno and urbanecm: Backport for [[gerrit:883224|REST: Use error log level for unexpected errors (T327490)]], [[gerrit:883547|User impact: amend incorrect parameter for the single day streak text (T327824)]] synced to the testservers: mwdebug2001.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug1002.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-01-25T14:53:31Z] <urbanecm@deploy1002> Finished scap: Backport for [[gerrit:883224|REST: Use error log level for unexpected errors (T327490)]], [[gerrit:883547|User impact: amend incorrect parameter for the single day streak text (T327824)]] (duration: 32m 21s)

Mentioned in SAL (#wikimedia-operations) [2023-01-25T15:04:24Z] <urbanecm@deploy1002> Started scap: triggering i18n refresh for T327824

Mentioned in SAL (#wikimedia-operations) [2023-01-25T15:12:22Z] <urbanecm@deploy1002> Finished scap: triggering i18n refresh for T327824 (duration: 07m 57s)

Checked on testwiki wmf.21 - the fix is in place:

Screen Shot 2023-02-03 at 11.17.54 AM.png (956×996 px, 118 KB)